#include <LiquidCrystal.h>
const int rs = 7, en = 6, d4 = 5, d5 = 4, d6 = 3, d7 = 2;
LiquidCrystal lcd(rs, en, d4, d5, d6, d7);
#define Trigger 9
#define Echo 8
long Duration,Distance;

void setup() {
  // put your setup code here, to run once:

  lcd.begin(16, 2);
  Serial.begin(9600);
  pinMode(Trigger,OUTPUT);
  pinMode(Echo,INPUT);
}

void loop() {
  // put your main code here, to run repeatedly:
digitalWrite(Trigger,0);
    delayMicroseconds(2);
  
    digitalWrite(Trigger,1);
    delayMicroseconds(10);
  
    digitalWrite(Trigger,0);
   
    Duration=pulseIn(Echo,HIGH);
    Distance=(Duration/2)/29.1;
    Serial.print("Obstacle is at ");
    Serial.print(Distance);
    Serial.println(" Cm");

    lcd.setCursor(0, 0);
   lcd.print("DISTANCE:");
   
   lcd.setCursor(9, 0);
   lcd.print(Distance);

   lcd.setCursor(14, 0);
   lcd.print("Cm");
   delay(500);
   lcd.clear();
}
