/*
  The circuit:
 * LCD VSS pin to ground
 * LCD VCC/VDD pin to 5V
 * LCD VEE is Connected through 2.2K resistor to Ground
 * LCD RS pin to digital pin 2
 * LCD R/W pin to ground
 * LCD Enable pin to digital pin 3
 * LCD D4 pin to digital pin 4
 * LCD D5 pin to digital pin 5
 * LCD D6 pin to digital pin 6
 * LCD D7 pin to digital pin 7
 * LCD LEDA pin to +5V
 * LCD LEDK pin to Ground
 * 
*/


#include <LiquidCrystal.h>


const int rs = 7, en = 6, d4 = 5, d5 = 4, d6 = 3, d7 = 2;
LiquidCrystal lcd(rs, en, d4, d5, d6, d7);

void setup() 
{
  lcd.begin(16, 2);
 
}

void loop() 
{
   lcd.setCursor(0, 0);
   lcd.print(" Arduino Shield ");
   
   lcd.setCursor(0, 1);
   lcd.print(" MDB ELECTROSOFT");
}
